package com.ai.da.service;

import com.ai.da.mapper.primary.entity.UserLikeGroup;
import com.ai.da.model.vo.HistoryUpdateVO;
import com.ai.da.model.vo.UserLikeChooseVO;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 服务类
 *
 * @author yanglei
 * @since 2022-09-11
 */
public interface UserLikeGroupService extends IService<UserLikeGroup> {

    void deleteUserGroup(Long userGroupId);

    HistoryUpdateVO updateUserGroupName(Long userGroupId, String userGroupName, String timeZone);

    Long insertUserGroup(Long userId, Long collectionId, String timeZone);

    /**
     * choose
     *
     * @param userGroupId
     * @return
     */
    UserLikeChooseVO choose(Long userGroupId);

    void deleteTrialData(Long id);

    void updateDate(Long id,String timeZone);
}
